com.r3corda.core.contracts / TransactionVerificationException

# TransactionVerificationException

`sealed class TransactionVerificationException : Exception`

### Types

Direction | `enum class Direction`

### Exceptions

ContractRejection | `class ContractRejection : TransactionVerificationException`
InvalidNotaryChange | `class InvalidNotaryChange : TransactionVerificationException`
MoreThanOneNotary | `class MoreThanOneNotary : TransactionVerificationException`
NotaryChangeInWrongTransactionType | `class NotaryChangeInWrongTransactionType : TransactionVerificationException`
SignersMissing | `class SignersMissing : TransactionVerificationException`
TransactionMissingEncumbranceException | `class TransactionMissingEncumbranceException : TransactionVerificationException`

### Properties

tx | `val tx: LedgerTransaction`

### Extension Properties

rootCause | `val Throwable.rootCause: Throwable`

### Inheritors

ContractRejection | `class ContractRejection : TransactionVerificationException`
InvalidNotaryChange | `class InvalidNotaryChange : TransactionVerificationException`
MoreThanOneNotary | `class MoreThanOneNotary : TransactionVerificationException`
NotaryChangeInWrongTransactionType | `class NotaryChangeInWrongTransactionType : TransactionVerificationException`
SignersMissing | `class SignersMissing : TransactionVerificationException`
TransactionMissingEncumbranceException | `class TransactionMissingEncumbranceException : TransactionVerificationException`